Freeciv-3.2: Data Fields - Functions

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all functions with links to the structures/unions they belong to:

### - c -

- calc_size() : info_tile, notify_dialog
- calc_trade_routes() : mr_menu
- calculate() : trade_generator
- calculate_inner() : trade_generator
- call_meeting() : plr_report
- cancel() : generate_packets.Variant
- cancel_changes() : message_dlg
- cancel_pressed() : races_dialog
- center() : city_widget
- center_me() : hud_text
- cfg() : generate_packets.Variant
- change_gov() : gov_menu
- change_homecity() : unit_item
- change_production() : city_dialog
- chat_active_on_page() : fc_client
- chat_input() : chat_input
- chat_listener() : chat_listener
- chat_message_received() : chat_listener, chatwdg, fc_client
- chat_word_list_changed() : chat_input, chat_listener
- chatwdg() : chatwdg
- check_if_done() : trade_generator
- check_if_exist() : fc_shortcut_popup
- check_server_scan() : fc_client
- checkbox_changed() : goto_dialog
- checkpoint_given() : tab_counter
- choice_dialog() : choice_dialog
- Choice_dialog_button() : Choice_dialog_button
- cities_selected() : city_widget
- city_changed() : city_model
- city_dialog() : city_dialog
- city_doubleclick() : city_widget
- city_item() : city_item
- city_item_delegate() : city_item_delegate
- city_label() : city_label
- city_map() : city_map
- city_model() : city_model
- city_production_delegate() : city_production_delegate
- city_production_model() : city_production_model
- city_rename() : city_dialog
- city_report() : city_report
- city_view() : city_widget
- city_widget() : city_widget
- clear() : qfc_units_list, requirers_dlg
- clear_layout() : impr_info, unit_actions, unit_info, units_reports
- clear_selected() : req_edit
- clear_status_bar() : fc_client
- clear_trade_planing() : trade_generator
- clear_worklist() : city_dialog
- clear_worlist() : city_widget
- click_label() : click_label
- clicked() : progress_bar
- close() : fix_enabler_item, helpeditor, req_vec_fix_item
- close_dlg() : goto_dialog
- close_fc() : fc_corner
- close_help() : values_dlg
- close_now() : conversion_log, effect_edit, helpeditor, req_edit, requirers_dlg
- close_widget() : close_widget, diplo_dlg
- closeEvent() : city_dialog, diplo_wdg, edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype, effect_edit, fc_client, fc_shortcut_popup, help_dialog, mpgui_main, option_dialog, req_edit, ruledit_main, units_select
- closing() : fc_client
- clr() : messagewdg
- cma_changed() : city_dialog
- cma_context_menu() : city_dialog
- cma_double_clicked() : city_dialog
- cma_enable() : city_dialog
- cma_remove() : city_dialog
- cma_selected() : city_dialog
- cma_slider() : city_dialog
- cma_toggle_changed() : city_dialog
- code_delta_stats_report() : generate_packets.PacketsDefinition
- code_delta_stats_reset() : generate_packets.PacketsDefinition
- code_enum_packet() : generate_packets.PacketsDefinition
- code_packet_functional_capability() : generate_packets.PacketsDefinition
- code_packet_handlers_fill_capability() : generate_packets.PacketsDefinition
- code_packet_handlers_fill_initial() : generate_packets.PacketsDefinition
- code_packet_has_game_info_flag() : generate_packets.PacketsDefinition
- code_packet_name() : generate_packets.PacketsDefinition
- columnCount() : city_item, city_model, city_production_model, plr_item, plr_model, production_item
- comment_given() : effect_edit
- condition() : generate_packets.Variant
- confirm_disruptive_selection() : mr_menu
- constant() : generate_packets.SizeInfo
- context_menu() : city_map
- contextMenuEvent() : fc_sidewidget, unit_item
- conversion_log() : conversion_log
- counter_behaviour_selected() : tab_counter
- counter_name() : tab_counter
- create() : go_act_menu, gov_menu
- create_actions() : unit_item
- create_all() : gov_menu
- create_cursors() : fc_client
- create_game_page() : fc_client
- create_load_page() : fc_client
- create_loading_page() : fc_client
- create_main_page() : fc_client
- create_network_page() : fc_client
- create_pixmap() : units_select
- create_region() : progress_bar
- create_requirers() : ruledit_gui
- create_scenario_page() : fc_client
- create_start_page() : fc_client
- create_terrain_widget() : help_widget
- create_tooltip_help() : research_diagram
- current_changed() : fc_game_tab_widget
- current_page() : fc_client
- current_tech_changed() : science_report
- current_word_list() : chat_listener